Subject: Re: bug#13949: (no subject)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2016 22:07:33 +0200

> Cc: [email-masked]
> From: Jaakov <[email-masked]>
> Date: Tue, 22 Mar 2016 20:53:24 +0100
> 
> >> I think you just didn't get my point.
> >
> > I'm getting your point, believe me.
> >
> >> Am I being unclear on the principal difference between
> >> (1) _what_ a routine should do and
> >> (2) _how_ it should do it?
> >> ?
> >
> > I understand you, I just don't agree.
> 
> Your argument for not agreeing was:
> 
> "the buffer text is changed (at least twice), which turns on the 
> modified flag."
> 
> If you do understand me, please observe that from the viewpoint of (1) 
> in the described examples the buffer text is NOT changed, neither once, 
> nor twice, not at all.
> (Some properties may change, but not the buffer text. Also, the user has 
> no practical way to look at the intermediate computation.)
> 
> Reason:
> 
> In our case, in the view of (1) the term "buffer text is changed" is 
> defined, somewhat diffusely, as not "the same contents as the 
> corresponding file on the disk".
> 
> Source:
> "The text displayed in the mode line has the following format:
> cs:ch-fr  buf      pos line   (major minor)
> ...
> The next element on the mode line is the string indicated by ch. This 
> shows two dashes (‘--’) if the buffer displayed in the window has the 
> same contents as the corresponding file on the disk; i.e., if the buffer 
> is “unmodified”. If the buffer is modified, it shows two stars (‘**’)."
> from
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Mode-Line.html#Mode-Line
> 
> Therefore, the first part of your argument is invalid.
> 
> Am I being clear?

Yes.

But you are entirely missing the point.  I'm not saying anything about
the subject of this report, except this: it's an enhancement request.
Why?  Because (a) the code does exactly what it was designed to do,
not something different; and (b) the effect of what the code does in
this case is not a serious problem, like a crash or inability to do
something important, it is just a minor annoyance.

Therefore, the triage of the bug report as an enhancement request
(a.k.a. "wishlist") is correct.

Please note that I said nothing at all about whether the code should
do something else, or whether the documentation should be corrected to
use a different definition of what the "**" indication means.  This
would be a different argument, and I might even agree with you there.
I'm only talking about the severity value, nothing else.

OK?